Transactions

Transactions Api

Chain id (v1)

get
/rpc/v1/transactions/chain_id

Fetch chain id

Responses
chevron-right
200

Current chain id

application/json
integer · u-int8Optional
get
/rpc/v1/transactions/chain_id
200

Current chain id

Deprecated

Estimate gas price (v1)

get
/rpc/v1/transactions/estimate_gas_price

Get statistics derived from the gas prices of recently executed transactions.

Responses
chevron-right
200

Returns the mean and maximum gas prices of recently executed transactions.

application/json
mean_gas_priceinteger · u-int64Required
max_gas_priceinteger · u-int64Required
get
/rpc/v1/transactions/estimate_gas_price
200

Returns the mean and maximum gas prices of recently executed transactions.

Transaction parameters v1

get
/rpc/v1/transactions/parameters

Retrieve limits that a client must respect when composing a transaction.

Responses
chevron-right
200

Acceptable parameters for transaction submission

application/json
max_transaction_time_to_live_secondsinteger · u-int64Required
get
/rpc/v1/transactions/parameters
200

Acceptable parameters for transaction submission

Deprecated

Simulate a transaction (v1)

post
/rpc/v1/transactions/simulate
Body

Transaction variants supported by Supra.

or
Responses
chevron-right
200

Simulate a transaction against the current state of the RPC node. The transaction must have an invalid signature.

application/json

Information about a Supra transaction.

authenticatorobjectRequired

The cryptographic material that was submitted with the transaction, according to its type.

block_headerone ofOptional
nullOptional
or
hashstringRequired

Hex encoded hash

payloadobjectRequired

The deserialized payload of the transaction according to its type.

outputone ofOptional
or
string · enumOptionalPossible values:
or
or
or
nullOptional
statusstring · enumRequiredPossible values:
post
/rpc/v1/transactions/simulate
200

Simulate a transaction against the current state of the RPC node. The transaction must have an invalid signature.

Submit transaction (v1)

post
/rpc/v1/transactions/submit

Submit a transaction to Supra.

Body

Transaction variants supported by Supra.

or
Responses
chevron-right
200

transaction submitted

application/json
stringOptional

Hex encoded hash

post
/rpc/v1/transactions/submit
200

transaction submitted

Deprecated

Get transaction by hash (v1)

get
/rpc/v1/transactions/{hash}

Get information about a transaction by its hash.

Path parameters
hashstringRequired

Hash of the transaction to lookup

Responses
chevron-right
200

Transaction data of the given transaction hash

application/json
nullOptional
or
get
/rpc/v1/transactions/{hash}
200

Transaction data of the given transaction hash

No content

Estimate gas price (v2)

get
/rpc/v2/transactions/estimate_gas_price

Get statistics derived from the gas prices of recently executed transactions.

Responses
chevron-right
200

Returns the mean, median and maximum gas prices of recently executed transactions.

application/json
mean_gas_priceinteger · u-int64Required
max_gas_priceinteger · u-int64Required
median_gas_priceinteger · u-int64Required
get
/rpc/v2/transactions/estimate_gas_price
200

Returns the mean, median and maximum gas prices of recently executed transactions.

Simulate a transaction (v2)

post
/rpc/v2/transactions/simulate
Body

Transaction variants supported by Supra.

or
Responses
chevron-right
200

Simulate a transaction against the current state of the RPC node. The transaction must have an invalid signature.

application/json

Information about a Supra transaction.

authenticatorobjectRequired

The cryptographic material that was submitted with the transaction, according to its type.

block_headerone ofOptional
nullOptional
or
hashstringRequired

Hex encoded hash

payloadobjectRequired

The deserialized payload of the transaction according to its type.

outputone ofOptional
or
string · enumOptionalPossible values:
or
or
or
nullOptional
statusstring · enumRequiredPossible values:
post
/rpc/v2/transactions/simulate
200

Simulate a transaction against the current state of the RPC node. The transaction must have an invalid signature.

Get transaction by hash (v2)

get
/rpc/v2/transactions/{hash}

Get information about a transaction by its hash.

Path parameters
hashstringRequired

Hash of the transaction to lookup

Responses
chevron-right
200

Transaction data of the given transaction hash

application/json

Information about a Supra transaction.

authenticatorobjectRequired

The cryptographic material that was submitted with the transaction, according to its type.

block_headerone ofOptional
nullOptional
or
hashstringRequired

Hex encoded hash

payloadobjectRequired

The deserialized payload of the transaction according to its type.

outputone ofOptional
or
string · enumOptionalPossible values:
or
or
or
nullOptional
statusstring · enumRequiredPossible values:
get
/rpc/v2/transactions/{hash}
200

Transaction data of the given transaction hash

Simulate a transaction (v3)

post
/rpc/v3/transactions/simulate
Body

Transaction variants supported by Supra.

or
Responses
chevron-right
200

Simulate a transaction against the current state of the RPC node. The transaction must have an invalid signature.

application/json

Information about a Supra transaction.

authenticatorobjectRequired

The cryptographic material that was submitted with the transaction, according to its type.

block_headerone ofOptional
nullOptional
or
hashstringRequired

Hex encoded hash

payloadobjectRequired

The deserialized payload of the transaction according to its type.

outputone ofOptional
or
string · enumOptionalPossible values:
or
or
or
nullOptional
statusstring · enumRequiredPossible values:
post
/rpc/v3/transactions/simulate
200

Simulate a transaction against the current state of the RPC node. The transaction must have an invalid signature.

Submit transaction (v3)

post
/rpc/v3/transactions/submit

Submit a transaction to Supra.

Body

Transaction variants supported by Supra.

or
Responses
chevron-right
200

transaction submitted

application/json
stringOptional

Hex encoded hash

post
/rpc/v3/transactions/submit
200

transaction submitted

Get transaction by hash v3

get
/rpc/v3/transactions/{hash}

Get information about a transaction by its hash.

Path parameters
hashstringRequired

Hash of the transaction to lookup

Query parameters
typestring · enumOptional

Type of the transaction to be queried.

Possible values:
Responses
chevron-right
200

Transaction data of the given transaction hash

application/json
Responseone of
or
or
get
/rpc/v3/transactions/{hash}
200

Transaction data of the given transaction hash

Last updated